from fastapi import APIRouter
from .auth.router import auth_route


def get_routes() -> list[APIRouter]:
    """Get all routes"""
    return [auth_route]


def get_safe_endpoint_urls() -> list[tuple[str, str]]:
    """Get all safe endpoint urls"""
    return [
        ("/", "GET"),
        ("/docs", "GET"),
        ("/redoc", "GET"),
        ("/openapi.json", "GET"),
        ("/metrics", "GET"),
        ("/authentication/login", "POST"),
        ("/authentication/password/reset", "POST"),
        ("/authentication/password/create", "POST"),
        ("/authentication/password/verify-otp", "POST"),
    ]
